Index: code/branches/core6/src/modules/gametypes/SpaceRaceBot.h
===================================================================
--- code/branches/core6/src/modules/gametypes/SpaceRaceBot.h	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/SpaceRaceBot.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-        SpaceRaceBot(BaseObject* creator);
+        SpaceRaceBot(Context* context);
             virtual ~SpaceRaceBot() {}
     };
Index: code/branches/core6/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/SpaceRaceController.cc	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/SpaceRaceController.cc	(revision 9629)
@@ -52,6 +52,6 @@
      * Idea: Find static Point (checkpoints the spaceship has to reach)
      */
-    SpaceRaceController::SpaceRaceController(BaseObject* creator) :
-        ArtificialController(creator)
+    SpaceRaceController::SpaceRaceController(Context* context) :
+        ArtificialController(context)
     {
         RegisterObject(SpaceRaceController)
Index: code/branches/core6/src/modules/gametypes/SpaceRaceController.h
===================================================================
--- code/branches/core6/src/modules/gametypes/SpaceRaceController.h	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/SpaceRaceController.h	(revision 9629)
@@ -65,5 +65,5 @@
 
         public:
-            SpaceRaceController(BaseObject* creator);
+            SpaceRaceController(Context* context);
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
             virtual ~SpaceRaceController();
Index: code/branches/core6/src/modules/gametypes/SpaceRaceManager.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/SpaceRaceManager.cc	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/SpaceRaceManager.cc	(revision 9629)
@@ -42,6 +42,6 @@
     CreateFactory(SpaceRaceManager);
 
-    SpaceRaceManager::SpaceRaceManager(BaseObject* creator) :
-        BaseObject(creator)
+    SpaceRaceManager::SpaceRaceManager(Context* context) :
+        BaseObject(context)
     {
         RegisterObject(SpaceRaceManager);
Index: code/branches/core6/src/modules/gametypes/SpaceRaceManager.h
===================================================================
--- code/branches/core6/src/modules/gametypes/SpaceRaceManager.h	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/SpaceRaceManager.h	(revision 9629)
@@ -55,5 +55,5 @@
 
         public:
-            SpaceRaceManager(BaseObject* creator);
+            SpaceRaceManager(Context* context);
             virtual ~SpaceRaceManager() ;
 
Index: code/branches/core6/src/modules/notifications/NotificationDispatcher.cc
===================================================================
--- code/branches/core6/src/modules/notifications/NotificationDispatcher.cc	(revision 9628)
+++ code/branches/core6/src/modules/notifications/NotificationDispatcher.cc	(revision 9629)
@@ -57,5 +57,5 @@
         Default constructor. Initializes the object.
     */
-    NotificationDispatcher::NotificationDispatcher(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    NotificationDispatcher::NotificationDispatcher(Context* context) : BaseObject(context), Synchronisable(context)
     {
         RegisterObject(NotificationDispatcher);
Index: code/branches/core6/src/modules/notifications/NotificationDispatcher.h
===================================================================
--- code/branches/core6/src/modules/notifications/NotificationDispatcher.h	(revision 9628)
+++ code/branches/core6/src/modules/notifications/NotificationDispatcher.h	(revision 9629)
@@ -76,5 +76,5 @@
     {
         public:
-            NotificationDispatcher(BaseObject* creator); //!< Default constructor. Initializes the object.
+            NotificationDispatcher(Context* context); //!< Default constructor. Initializes the object.
             virtual ~NotificationDispatcher(); //!< Destructor.
 
Index: code/branches/core6/src/modules/notifications/NotificationQueue.cc
===================================================================
--- code/branches/core6/src/modules/notifications/NotificationQueue.cc	(revision 9628)
+++ code/branches/core6/src/modules/notifications/NotificationQueue.cc	(revision 9629)
@@ -52,5 +52,5 @@
         The creator of the NotificationQueue.
     */
-    NotificationQueue::NotificationQueue(BaseObject* creator) : BaseObject(creator), Synchronisable(creator), registered_(false)
+    NotificationQueue::NotificationQueue(Context* context) : BaseObject(context), Synchronisable(context), registered_(false)
     {
         RegisterObject(NotificationQueue);
Index: code/branches/core6/src/modules/notifications/NotificationQueue.h
===================================================================
--- code/branches/core6/src/modules/notifications/NotificationQueue.h	(revision 9628)
+++ code/branches/core6/src/modules/notifications/NotificationQueue.h	(revision 9629)
@@ -94,5 +94,5 @@
 
         public:
-            NotificationQueue(BaseObject* creator);
+            NotificationQueue(Context* context);
             virtual ~NotificationQueue();
 
Index: code/branches/core6/src/modules/notifications/NotificationQueueCEGUI.cc
===================================================================
--- code/branches/core6/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 9628)
+++ code/branches/core6/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 9629)
@@ -50,5 +50,5 @@
     /*static*/ const std::string NotificationQueueCEGUI::NOTIFICATION_LAYER("NotificationLayer");
 
-    NotificationQueueCEGUI::NotificationQueueCEGUI(BaseObject* creator) : NotificationQueue(creator)
+    NotificationQueueCEGUI::NotificationQueueCEGUI(Context* context) : NotificationQueue(context)
     {
         RegisterObject(NotificationQueueCEGUI);
Index: code/branches/core6/src/modules/notifications/NotificationQueueCEGUI.h
===================================================================
--- code/branches/core6/src/modules/notifications/NotificationQueueCEGUI.h	(revision 9628)
+++ code/branches/core6/src/modules/notifications/NotificationQueueCEGUI.h	(revision 9629)
@@ -70,5 +70,5 @@
 
         public:
-            NotificationQueueCEGUI(BaseObject* creator);
+            NotificationQueueCEGUI(Context* context);
             virtual ~NotificationQueueCEGUI();
 
Index: code/branches/core6/src/modules/notifications/dispatchers/CommandNotification.cc
===================================================================
--- code/branches/core6/src/modules/notifications/dispatchers/CommandNotification.cc	(revision 9628)
+++ code/branches/core6/src/modules/notifications/dispatchers/CommandNotification.cc	(revision 9629)
@@ -50,5 +50,5 @@
         Default Constructor. Registers the object and initializes variables.
     */
-    CommandNotification::CommandNotification(BaseObject* creator) : NotificationDispatcher(creator)
+    CommandNotification::CommandNotification(Context* context) : NotificationDispatcher(context)
     {
         RegisterObject(CommandNotification);
Index: code/branches/core6/src/modules/notifications/dispatchers/CommandNotification.h
===================================================================
--- code/branches/core6/src/modules/notifications/dispatchers/CommandNotification.h	(revision 9628)
+++ code/branches/core6/src/modules/notifications/dispatchers/CommandNotification.h	(revision 9629)
@@ -70,5 +70,5 @@
 
         public:
-            CommandNotification(BaseObject* creator); //!< Default Constructor.
+            CommandNotification(Context* context); //!< Default Constructor.
             virtual ~CommandNotification(); //!< Destructor.
 
Index: code/branches/core6/src/modules/notifications/dispatchers/SimpleNotification.cc
===================================================================
--- code/branches/core6/src/modules/notifications/dispatchers/SimpleNotification.cc	(revision 9628)
+++ code/branches/core6/src/modules/notifications/dispatchers/SimpleNotification.cc	(revision 9629)
@@ -45,5 +45,5 @@
         Default Constructor. Registers the object and initializes variables.
     */
-    SimpleNotification::SimpleNotification(BaseObject* creator) : NotificationDispatcher(creator)
+    SimpleNotification::SimpleNotification(Context* context) : NotificationDispatcher(context)
     {
         RegisterObject(SimpleNotification);
Index: code/branches/core6/src/modules/notifications/dispatchers/SimpleNotification.h
===================================================================
--- code/branches/core6/src/modules/notifications/dispatchers/SimpleNotification.h	(revision 9628)
+++ code/branches/core6/src/modules/notifications/dispatchers/SimpleNotification.h	(revision 9629)
@@ -67,5 +67,5 @@
     {
         public:
-            SimpleNotification(BaseObject* creator); //!< Default Constructor.
+            SimpleNotification(Context* context); //!< Default Constructor.
             virtual ~SimpleNotification(); //!< Destructor.
 
Index: code/branches/core6/src/modules/objects/Attacher.cc
===================================================================
--- code/branches/core6/src/modules/objects/Attacher.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/Attacher.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(Attacher);
 
-    Attacher::Attacher(BaseObject* creator) : StaticEntity(creator)
+    Attacher::Attacher(Context* context) : StaticEntity(context)
     {
         RegisterObject(Attacher);
Index: code/branches/core6/src/modules/objects/Attacher.h
===================================================================
--- code/branches/core6/src/modules/objects/Attacher.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/Attacher.h	(revision 9629)
@@ -48,5 +48,5 @@
     {
         public:
-            Attacher(BaseObject* creator);
+            Attacher(Context* context);
             virtual ~Attacher() {}
 
Index: code/branches/core6/src/modules/objects/ForceField.cc
===================================================================
--- code/branches/core6/src/modules/objects/ForceField.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/ForceField.cc	(revision 9629)
@@ -53,5 +53,5 @@
         Constructor. Registers the object and initializes some values.
     */
-    ForceField::ForceField(BaseObject* creator) : StaticEntity(creator)
+    ForceField::ForceField(Context* context) : StaticEntity(context)
     {
         RegisterObject(ForceField);
Index: code/branches/core6/src/modules/objects/ForceField.h
===================================================================
--- code/branches/core6/src/modules/objects/ForceField.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/ForceField.h	(revision 9629)
@@ -86,5 +86,5 @@
     {
         public:
-            ForceField(BaseObject* creator);
+            ForceField(Context* context);
             virtual ~ForceField();
 
Index: code/branches/core6/src/modules/objects/Planet.cc
===================================================================
--- code/branches/core6/src/modules/objects/Planet.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/Planet.cc	(revision 9629)
@@ -47,5 +47,5 @@
      * @brief Constructor
      */
-    Planet::Planet(BaseObject* creator) : MovableEntity(creator)
+    Planet::Planet(Context* context) : MovableEntity(context)
     {
         RegisterObject(Planet);
Index: code/branches/core6/src/modules/objects/Planet.h
===================================================================
--- code/branches/core6/src/modules/objects/Planet.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/Planet.h	(revision 9629)
@@ -48,5 +48,5 @@
     {
         public:
-            Planet(BaseObject* creator);
+            Planet(Context* context);
 
             virtual ~Planet();
Index: code/branches/core6/src/modules/objects/Script.cc
===================================================================
--- code/branches/core6/src/modules/objects/Script.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/Script.cc	(revision 9629)
@@ -61,5 +61,5 @@
         The creator of this object.
     */
-    Script::Script(BaseObject* creator) : BaseObject(creator)
+    Script::Script(Context* context) : BaseObject(context)
     {
         RegisterObject(Script);
Index: code/branches/core6/src/modules/objects/Script.h
===================================================================
--- code/branches/core6/src/modules/objects/Script.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/Script.h	(revision 9629)
@@ -95,5 +95,5 @@
     {
         public:
-            Script(BaseObject* creator);
+            Script(Context* context);
             virtual ~Script();
 
Index: code/branches/core6/src/modules/objects/SpaceBoundaries.cc
===================================================================
--- code/branches/core6/src/modules/objects/SpaceBoundaries.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/SpaceBoundaries.cc	(revision 9629)
@@ -44,5 +44,5 @@
     CreateFactory(SpaceBoundaries);
 
-    SpaceBoundaries::SpaceBoundaries(BaseObject* creator) : StaticEntity(creator)
+    SpaceBoundaries::SpaceBoundaries(Context* context) : StaticEntity(context)
     {
         RegisterObject(SpaceBoundaries);
@@ -104,5 +104,5 @@
         if (current == this->billboards_.size())
         {
-            Billboard* billboard = new Billboard(this);
+            Billboard* billboard = new Billboard(this->getContext());
             billboard->setPosition(position);
             billboard->setSyncMode(ObjectDirection::None);
Index: code/branches/core6/src/modules/objects/SpaceBoundaries.h
===================================================================
--- code/branches/core6/src/modules/objects/SpaceBoundaries.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/SpaceBoundaries.h	(revision 9629)
@@ -75,5 +75,5 @@
     {
         public:
-            SpaceBoundaries(BaseObject* creator);
+            SpaceBoundaries(Context* context);
             ~SpaceBoundaries();
 
Index: code/branches/core6/src/modules/objects/Turret.cc
===================================================================
--- code/branches/core6/src/modules/objects/Turret.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/Turret.cc	(revision 9629)
@@ -40,8 +40,8 @@
      * @brief Constructor
      */
-    Turret::Turret(BaseObject* creator) : SpaceShip(creator)
+    Turret::Turret(Context* context) : SpaceShip(context)
     {
         RegisterObject(Turret);
-        this->controller_ = new WaypointPatrolController(this);
+        this->controller_ = new WaypointPatrolController(this->getContext());
     }
 
Index: code/branches/core6/src/modules/objects/Turret.h
===================================================================
--- code/branches/core6/src/modules/objects/Turret.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/Turret.h	(revision 9629)
@@ -45,5 +45,5 @@
     {
         public:
-            Turret(BaseObject* creator);
+            Turret(Context* context);
             virtual ~Turret();
 
Index: code/branches/core6/src/modules/objects/collisionshapes/BoxCollisionShape.cc
===================================================================
--- code/branches/core6/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 9629)
@@ -48,5 +48,5 @@
         Constructor. Registers and initializes the object.
     */
-    BoxCollisionShape::BoxCollisionShape(BaseObject* creator) : CollisionShape(creator)
+    BoxCollisionShape::BoxCollisionShape(Context* context) : CollisionShape(context)
     {
         RegisterObject(BoxCollisionShape);
Index: code/branches/core6/src/modules/objects/collisionshapes/BoxCollisionShape.h
===================================================================
--- code/branches/core6/src/modules/objects/collisionshapes/BoxCollisionShape.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/collisionshapes/BoxCollisionShape.h	(revision 9629)
@@ -57,5 +57,5 @@
     {
         public:
-            BoxCollisionShape(BaseObject* creator);
+            BoxCollisionShape(Context* context);
             virtual ~BoxCollisionShape();
 
Index: code/branches/core6/src/modules/objects/collisionshapes/ConeCollisionShape.cc
===================================================================
--- code/branches/core6/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 9629)
@@ -48,5 +48,5 @@
         Constructor. Registers and initializes the object.
     */
-    ConeCollisionShape::ConeCollisionShape(BaseObject* creator) : CollisionShape(creator)
+    ConeCollisionShape::ConeCollisionShape(Context* context) : CollisionShape(context)
     {
         RegisterObject(ConeCollisionShape);
Index: code/branches/core6/src/modules/objects/collisionshapes/ConeCollisionShape.h
===================================================================
--- code/branches/core6/src/modules/objects/collisionshapes/ConeCollisionShape.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/collisionshapes/ConeCollisionShape.h	(revision 9629)
@@ -55,5 +55,5 @@
     {
         public:
-            ConeCollisionShape(BaseObject* creator);
+            ConeCollisionShape(Context* context);
             virtual ~ConeCollisionShape();
 
Index: code/branches/core6/src/modules/objects/collisionshapes/PlaneCollisionShape.cc
===================================================================
--- code/branches/core6/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 9629)
@@ -48,5 +48,5 @@
         Constructor. Registers and initializes the object.
     */
-    PlaneCollisionShape::PlaneCollisionShape(BaseObject* creator) : CollisionShape(creator)
+    PlaneCollisionShape::PlaneCollisionShape(Context* context) : CollisionShape(context)
     {
         RegisterObject(PlaneCollisionShape);
Index: code/branches/core6/src/modules/objects/collisionshapes/PlaneCollisionShape.h
===================================================================
--- code/branches/core6/src/modules/objects/collisionshapes/PlaneCollisionShape.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/collisionshapes/PlaneCollisionShape.h	(revision 9629)
@@ -57,5 +57,5 @@
     {
         public:
-            PlaneCollisionShape(BaseObject* creator);
+            PlaneCollisionShape(Context* context);
             virtual ~PlaneCollisionShape();
 
Index: code/branches/core6/src/modules/objects/collisionshapes/SphereCollisionShape.cc
===================================================================
--- code/branches/core6/src/modules/objects/collisionshapes/SphereCollisionShape.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/collisionshapes/SphereCollisionShape.cc	(revision 9629)
@@ -48,5 +48,5 @@
         Constructor. registers and initializes the object.
     */
-    SphereCollisionShape::SphereCollisionShape(BaseObject* creator) : CollisionShape(creator)
+    SphereCollisionShape::SphereCollisionShape(Context* context) : CollisionShape(context)
     {
         RegisterObject(SphereCollisionShape);
Index: code/branches/core6/src/modules/objects/collisionshapes/SphereCollisionShape.h
===================================================================
--- code/branches/core6/src/modules/objects/collisionshapes/SphereCollisionShape.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/collisionshapes/SphereCollisionShape.h	(revision 9629)
@@ -55,5 +55,5 @@
     {
         public:
-            SphereCollisionShape(BaseObject* creator);
+            SphereCollisionShape(Context* context);
             virtual ~SphereCollisionShape();
 
Index: code/branches/core6/src/modules/objects/eventsystem/EventDispatcher.cc
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventDispatcher.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/eventsystem/EventDispatcher.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateFactory(EventDispatcher);
 
-    EventDispatcher::EventDispatcher(BaseObject* creator) : BaseObject(creator)
+    EventDispatcher::EventDispatcher(Context* context) : BaseObject(context)
     {
         RegisterObject(EventDispatcher);
Index: code/branches/core6/src/modules/objects/eventsystem/EventDispatcher.h
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventDispatcher.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/eventsystem/EventDispatcher.h	(revision 9629)
@@ -46,5 +46,5 @@
     {
         public:
-            EventDispatcher(BaseObject* creator);
+            EventDispatcher(Context* context);
             virtual ~EventDispatcher();
 
Index: code/branches/core6/src/modules/objects/eventsystem/EventFilter.cc
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventFilter.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/eventsystem/EventFilter.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateFactory(EventFilter);
 
-    EventFilter::EventFilter(BaseObject* creator) : BaseObject(creator)
+    EventFilter::EventFilter(Context* context) : BaseObject(context)
     {
         RegisterObject(EventFilter);
Index: code/branches/core6/src/modules/objects/eventsystem/EventFilter.h
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventFilter.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/eventsystem/EventFilter.h	(revision 9629)
@@ -46,5 +46,5 @@
     {
         public:
-            EventFilter(BaseObject* creator);
+            EventFilter(Context* context);
             virtual ~EventFilter();
 
Index: code/branches/core6/src/modules/objects/eventsystem/EventListener.cc
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventListener.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/eventsystem/EventListener.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateFactory(EventListener);
 
-    EventListener::EventListener(BaseObject* creator) : BaseObject(creator)
+    EventListener::EventListener(Context* context) : BaseObject(context)
     {
         RegisterObject(EventListener);
Index: code/branches/core6/src/modules/objects/eventsystem/EventListener.h
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventListener.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/eventsystem/EventListener.h	(revision 9629)
@@ -47,5 +47,5 @@
     {
         public:
-            EventListener(BaseObject* creator);
+            EventListener(Context* context);
             virtual ~EventListener();
 
Index: code/branches/core6/src/modules/objects/eventsystem/EventName.cc
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventName.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/eventsystem/EventName.cc	(revision 9629)
@@ -34,5 +34,5 @@
     CreateFactory(EventName);
 
-    EventName::EventName(BaseObject* creator) : BaseObject(creator)
+    EventName::EventName(Context* context) : BaseObject(context)
     {
         RegisterObject(EventName);
Index: code/branches/core6/src/modules/objects/eventsystem/EventName.h
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventName.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/eventsystem/EventName.h	(revision 9629)
@@ -45,5 +45,5 @@
     {
         public:
-            EventName(BaseObject* creator);
+            EventName(Context* context);
             virtual ~EventName() {}
     };
Index: code/branches/core6/src/modules/objects/eventsystem/EventTarget.cc
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventTarget.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/eventsystem/EventTarget.cc	(revision 9629)
@@ -35,5 +35,5 @@
     CreateFactory(EventTarget);
 
-    EventTarget::EventTarget(BaseObject* creator) : BaseObject(creator)
+    EventTarget::EventTarget(Context* context) : BaseObject(context)
     {
         RegisterObject(EventTarget);
Index: code/branches/core6/src/modules/objects/eventsystem/EventTarget.h
===================================================================
--- code/branches/core6/src/modules/objects/eventsystem/EventTarget.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/eventsystem/EventTarget.h	(revision 9629)
@@ -46,5 +46,5 @@
     {
         public:
-            EventTarget(BaseObject* creator);
+            EventTarget(Context* context);
             virtual ~EventTarget();
 
Index: code/branches/core6/src/modules/objects/triggers/CheckPoint.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/CheckPoint.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/CheckPoint.cc	(revision 9629)
@@ -44,7 +44,7 @@
     CreateFactory(CheckPoint);
 
-    CheckPoint::CheckPoint(BaseObject* creator)
-        : DistanceTrigger(creator)
-        , RadarViewable(creator, static_cast<WorldEntity*>(this))
+    CheckPoint::CheckPoint(Context* context)
+        : DistanceTrigger(context)
+        , RadarViewable(this, static_cast<WorldEntity*>(this))
     {
         RegisterObject(CheckPoint);
Index: code/branches/core6/src/modules/objects/triggers/CheckPoint.h
===================================================================
--- code/branches/core6/src/modules/objects/triggers/CheckPoint.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/CheckPoint.h	(revision 9629)
@@ -55,5 +55,5 @@
     {
     public:
-        CheckPoint(BaseObject* creator);
+        CheckPoint(Context* context);
         virtual ~CheckPoint();
 
Index: code/branches/core6/src/modules/objects/triggers/DistanceMultiTrigger.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 9629)
@@ -53,5 +53,5 @@
         Default Constructor. Registers the object and initializes default values.
     */
-    DistanceMultiTrigger::DistanceMultiTrigger(BaseObject* creator) : MultiTrigger(creator)
+    DistanceMultiTrigger::DistanceMultiTrigger(Context* context) : MultiTrigger(context)
     {
         RegisterObject(DistanceMultiTrigger);
Index: code/branches/core6/src/modules/objects/triggers/DistanceMultiTrigger.h
===================================================================
--- code/branches/core6/src/modules/objects/triggers/DistanceMultiTrigger.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/DistanceMultiTrigger.h	(revision 9629)
@@ -95,5 +95,5 @@
 
         public:
-            DistanceMultiTrigger(BaseObject* creator); // Default Constructor. Registers the object and initializes default values.
+            DistanceMultiTrigger(Context* context); // Default Constructor. Registers the object and initializes default values.
             virtual ~DistanceMultiTrigger(); // Destructor.
 
Index: code/branches/core6/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/DistanceTrigger.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/DistanceTrigger.cc	(revision 9629)
@@ -57,5 +57,5 @@
         The creator of this trigger.
     */
-    DistanceTrigger::DistanceTrigger(BaseObject* creator) : Trigger(creator)
+    DistanceTrigger::DistanceTrigger(Context* context) : Trigger(context)
     {
         RegisterObject(DistanceTrigger);
Index: code/branches/core6/src/modules/objects/triggers/DistanceTrigger.h
===================================================================
--- code/branches/core6/src/modules/objects/triggers/DistanceTrigger.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/DistanceTrigger.h	(revision 9629)
@@ -97,5 +97,5 @@
     {
         public:
-            DistanceTrigger(BaseObject* creator); // Constructor. Registers and initializes the object.
+            DistanceTrigger(Context* context); // Constructor. Registers and initializes the object.
             virtual ~DistanceTrigger();
 
Index: code/branches/core6/src/modules/objects/triggers/DistanceTriggerBeacon.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/DistanceTriggerBeacon.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/DistanceTriggerBeacon.cc	(revision 9629)
@@ -48,5 +48,5 @@
         The creator of this object.
     */
-    DistanceTriggerBeacon::DistanceTriggerBeacon(BaseObject* creator) : StaticEntity(creator)
+    DistanceTriggerBeacon::DistanceTriggerBeacon(Context* context) : StaticEntity(context)
     {
         RegisterObject(DistanceTriggerBeacon);
Index: code/branches/core6/src/modules/objects/triggers/DistanceTriggerBeacon.h
===================================================================
--- code/branches/core6/src/modules/objects/triggers/DistanceTriggerBeacon.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/DistanceTriggerBeacon.h	(revision 9629)
@@ -57,5 +57,5 @@
 
         public:
-            DistanceTriggerBeacon(BaseObject* creator); //!< Constructor.
+            DistanceTriggerBeacon(Context* context); //!< Constructor.
             virtual ~DistanceTriggerBeacon() {} //!< Destructor.
 
Index: code/branches/core6/src/modules/objects/triggers/EventMultiTrigger.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/EventMultiTrigger.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/EventMultiTrigger.cc	(revision 9629)
@@ -49,5 +49,5 @@
         Constructor. Registers the object.
     */
-    EventMultiTrigger::EventMultiTrigger(BaseObject* creator) : MultiTrigger(creator)
+    EventMultiTrigger::EventMultiTrigger(Context* context) : MultiTrigger(context)
     {
         RegisterObject(EventMultiTrigger);
Index: code/branches/core6/src/modules/objects/triggers/EventMultiTrigger.h
===================================================================
--- code/branches/core6/src/modules/objects/triggers/EventMultiTrigger.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/EventMultiTrigger.h	(revision 9629)
@@ -73,5 +73,5 @@
 
         public:
-            EventMultiTrigger(BaseObject* creator); //!< Constructor. Registers the object.
+            EventMultiTrigger(Context* context); //!< Constructor. Registers the object.
             virtual ~EventMultiTrigger(); //!< Destructor.
 
